## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGraphics2D::EventHandler Struct Reference

Inheritance diagram for csGraphics2D::EventHandler:

[legend]
List of all members.

## Public Member Functions

| EventHandler (csGraphics2D *parent)
virtual bool | HandleEvent (iEvent &e)
| This is the basic event handling function.

## Detailed Description

Definition at line 389 of file graph2d.h.

## Member Function Documentation

virtual bool csGraphics2D::EventHandler::HandleEvent | ( | iEvent & | e | ) | `[inline, virtual]`

This is the basic event handling function.

To receive events, a component must implement iEventHandler and register with an event queue using iEventQueue::RegisterListener() and iEventQueue::Subscribe(). The event handler should return true if the event was handled. Returning true prevents the event from being passed along to other event handlers (unless the event's Broadcast flag has been set, in which case it is sent to all subscribers regardless of the return value). If the event was not handled, then false should be returned, in which case other event handlers are given a shot at the event. Do not return true unless you really handled the event and want event dispatch to stop at your handler.

Implements iEventHandler.

Definition at line 396 of file graph2d.h.

References csGraphics2D::HandleEvent().

The documentation for this struct was generated from the following file:

- csplugincommon/canvas/graph2d.h